# A demo module to illustrate __all__
# This code accompanies the tutorial notes for the "Modules 101" talk
# THIS IS NOT PRODUCTION CODE!
#
# Demo code: "Modules 101", PyCon AU 2013

'''Some (more) simple maths functions as a demo for PyCon AU 2013'''

__all__ = ['circle_area', 'circumference']

# Our definition of pi, which we will improve in the script that imports this
# module
pi = 3.14

def _square(n):
    '''Return n^2, this isn't accessible if you do "from mymath import *"'''
    return n * n

def cube(n):
    '''A simple function that returns n^3'''
    return n * n * n

def circle_area(r):
    '''Calculate the area of a circle given the radius'''
    return pi * _square(r)

def circumference(r):
    '''Calculate a circle's circumference given the radius'''
    return 2 * pi * r


if __name__ == '__main__':
    for n in range(1, 11):
        print("Cube of {0} = {1}".format(n, cube(n)))

# eof

